## hildon-systray 0.0.1

=== debian/control ===
Source: hildon-systray
Section: user/utilities
Priority: optional
Maintainer: Gabriel Schulhof <nix@go-nix.ca>
Build-Depends: debhelper (>= 4.0.0),
 debhelper-maemo-package-icons (>= 0.0.2),
 libhildondesktop1-dev (>= 2.1.31),
 libgtk2.0-dev (>= 2.6.0)
Standards-Version: 3.6.0

Package: hildon-systray
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: A notification area
XB-Maemo-Display-Name: Notification Area (System Tray)

Package: hildon-systray-dbg
Section: devel
Architecture: any
Depends: hildon-systray (= ${Source-Version}), ${shlibs:Depends}
Description: Debugging symbols for notification areay
